Subject: bug#47243: pr lacks -p

From: Pádraig Brady <[email-masked]>
Date: Mon, 28 Jul 2025 11:22:16 +0100

On 28/07/2025 03:21, Collin Funk wrote:
> Hi Paul,
> 
> Paul Eggert <[email-masked]> writes:
> 
>> Thanks for looking into that. Unfortunately POSIX says -p should be
>> ignored only if standard output is a terminal, and that newline should
>> be read from /dev/tty, not from standard input. This is so that users
>> can pipe into 'pr -p'. So the proposed patch needs some changes. Here
>> are the issues I found:
> 
> Thanks for the thorough review.
> 
> I think that v3 attached should cover everything.
> 
> Collin
> 

write_error() manipulates stdout,
so for the putc(..., stderr) I'd just do a straight error(EXIT_FAILURE, ....)

The NEWS would be best in a "New Features" section.

thanks!
Padraig